Bug 1249876 - rebuild required for redhat 6.7 ImageMagick
rebuild required for redhat 6.7 ImageMagick
Status: CLOSED DUPLICATE of bug 1248069
Product: Fedora EPEL
Classification: Fedora
Component: php-pecl-imagick (Show other bugs)
el6
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 23:05 EDT by Daniel Dekok
Modified: 2015-12-04 13:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-04 13:34:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Dekok 2015-08-03 23:05:59 EDT
Description of problem:
With the release of redhat 6.7, ImageMagick has upgraded from 6.5.4.7-7.el6_5.x86_64 to 6.7.2.7-2.el6.  As part of this /usr/lib64/libMagickWand.so.2 and /usr/lib64/libMagickCore.so.2 have been replaced with /usr/lib64/libMagickWand.so.5 and /usr/lib64/libMagickCore.so.5  php-pecl-imagick can't handle this and fails.

A rebuild against the new ImageMagick will fix this.

Version-Release number of selected component (if applicable):
php-perl-imagick-2.2.2-4.el6.

How reproducible:
Always

Steps to Reproduce:
1. upgrade ImageMagick after 6.7 has come out
2.
3.

Actual results:
upgrade fails (unless you skip broken) on php-pecl-imagick

Expected results:
Clean upgrade

Additional info:
Error: Package: php-pecl-imagick-2.2.2-4.el6.x86_64 (@epel)
           Requires: libMagickCore.so.2()(64bit)
           Removing: ImageMagick-6.5.4.7-7.el6_5.x86_64 (@rhel-x86_64-server-6)
               libMagickCore.so.2()(64bit)
           Updated By: ImageMagick-6.7.2.7-2.el6.x86_64 (rhel-x86_64-server-6)
               Not found
           Available: ImageMagick-6.5.4.7-5.el6.x86_64 (rhel-x86_64-server-6)
               libMagickCore.so.2()(64bit)
           Available: ImageMagick-6.5.4.7-6.el6_2.x86_64 (rhel-x86_64-server-6)
               libMagickCore.so.2()(64bit)
Error: Package: php-pecl-imagick-2.2.2-4.el6.x86_64 (@epel)
           Requires: libMagickWand.so.2()(64bit)
           Removing: ImageMagick-6.5.4.7-7.el6_5.x86_64 (@rhel-x86_64-server-6)
               libMagickWand.so.2()(64bit)
           Updated By: ImageMagick-6.7.2.7-2.el6.x86_64 (rhel-x86_64-server-6)
               Not found
           Available: ImageMagick-6.5.4.7-5.el6.x86_64 (rhel-x86_64-server-6)
               libMagickWand.so.2()(64bit)
           Available: ImageMagick-6.5.4.7-6.el6_2.x86_64 (rhel-x86_64-server-6)
               libMagickWand.so.2()(64bit)
Comment 1 Anssi Johansson 2015-08-04 04:09:25 EDT
Duplicate of bug 1249798 (or bug 1248069).
Comment 2 Pavel Alexeev 2015-12-04 13:34:40 EST
Thank you Anssi.

*** This bug has been marked as a duplicate of bug 1248069 ***

Note You need to log in before you can comment on or make changes to this bug.